<template>
  <v-stepper v-model="e1">
    <v-stepper-header>
      <v-stepper-step :complete="e1 > 1" step="1">Select Showtime</v-stepper-step>

      <v-divider></v-divider>

      <v-stepper-step :complete="e1 > 2" step="2">Select Seat</v-stepper-step>

      <v-divider></v-divider>

      <v-stepper-step step="3">Reserve</v-stepper-step>
    </v-stepper-header>

    <v-stepper-items>
      <v-stepper-content step="1">
        <v-card
          class="mb-5"
          color="white lighten-1"
          height="300px"
        >
         <v-layout row wrap>
    <v-flex xs12>
      <!-- first showTime -->
        <v-card-title class="red lighten-a justify">
            <h2 class="white--text font-weight-light">MOVIE : {{movies.movie_name}}</h2>
        </v-card-title>
        <v-list two-line>
            <div class="text-xs-left">
                <v-list-tile>
                    
                    <h2 class="font-weight-light">Digital Cinema | TH</h2>
                </v-list-tile>
             
                <v-layout row wrap>
              
                  <!-- <div v-for="(round_time) in roundtest" :key="round_time"> -->
                   <v-btn outline color="red"  @click="e1 = 2"  v-for="r in movies.length" :key="r">  {{movies[0].round[0].round_time}}  </v-btn>
                  
                    <tr >

                    
                        <!-- <v-btn outline color="red"  @click="e1 = 2">13:20</v-btn>
                        <v-btn outline color="red"   @click="e1 = 2">19:00</v-btn>
                        <v-btn outline color="red"   @click="e1 = 2" >22:30</v-btn>  -->
                    </tr>
                  
                </v-layout>
            </div>
        </v-list>
    </v-flex>
  </v-layout>
        </v-card>

        <!-- <v-btn
          color="primary"
          @click="e1 = 2"
        >
          Continue
        </v-btn> -->

        <v-btn flat>Cancel</v-btn>
      </v-stepper-content>

      <v-stepper-content step="2">
        <v-card
          class="mb-5"
          color="white lighten-1"
          height="580px"
        >
          <v-layout row wrap>
        <v-flex xs12 sm12 md12 lg12>
            <v-card id="rowSeat">
                
                <v-card-title class="red lighten-a justify">
                    <h2 class="white--text font-weight-light">THEATER 1</h2>
                </v-card-title>

                <v-list two-line>
                        <v-list-tile>
                            <v-icon size="50" color="">event_seat</v-icon>
                            <h2 class="font-weight-light"> &nbsp; Executive 150 Bath</h2>
                        </v-list-tile>
                
                <!-- Roll A -->
                <v-layout row wrap>
                        <v-flex xs12 sm12 md12 lg12 offset-sm2>
                                <tr>
                                    <td class="A">
                                        <td>A &nbsp; </td>
                                        <v-btn large :color="rollA.status ?'red':'blank'"  v-for="rollA in rollAs" :key="rollA" @click="rollA.status=!rollA.status">
                                        <v-icon color="white" v-if="rollA.status">done</v-icon>
                                        <v-icon color="red" v-else>event_seat</v-icon>
                                    </v-btn>
                                    <td> &nbsp; A</td>
                                    </td>
                                </tr>
                        </v-flex>
                </v-layout>
            
            <!-- roll B -->
                        <v-flex xs12 sm12 offset-sm2>
                                <tr>
                                    <td class="B">
                                        <td>B &nbsp; <br></td>
                                        <v-btn large :color="rollB.status ?'red':'blank'"  v-for="rollB in rollBs" :key="rollB" @click="rollB.status=!rollB.status">
                                        <v-icon color="white" v-if="rollB.status">done</v-icon>
                                        <v-icon color="red" v-else>event_seat</v-icon>
                                    </v-btn>
                                    <td> &nbsp; B</td>
                                    </td>
                                </tr>
                        </v-flex>
            
            <!-- roll C -->
                        <v-flex xs12 sm12 offset-sm2>
                                <tr>
                                  
                                    <td class="C">
                                        <td>C &nbsp; </td>
                                        <v-btn large :color="rollC.status ?'red':'blank'"  v-for="rollC in rollCs" :key="rollC" @click="rollC.status=!rollC.status">
                                        <v-icon color="white" v-if="rollC.status">done</v-icon>
                                        <v-icon color="red" v-else>event_seat</v-icon>
                                    </v-btn>
                                    <td> &nbsp; C</td>
                                    </td>
                                </tr>
                        </v-flex>
 
                </v-list>
             <br>
                    <v-flex xs6>
                        <h1 class="black--text font-weight-light">&nbsp; {{movies.movie_name }} |&nbsp; Time xx:xx:xx</h1>
                        <!-- <h2 class="black--text font-weight-light">&nbsp Time xx:xx:xx</h2> -->
                    </v-flex>
                    <v-flex >
                        <v-card>
                                <br>
                            <h1 class="font-weight-light"> &nbsp; Seat  </h1>
                            <h1 class="font-weight-light">&nbsp; E10 </h1>
                            <br>
                              <h1 class="font-weight-light"> &nbsp; Total  </h1>
                            <h1 class="font-weight-light">&nbsp; 150 </h1>
                          
                            <br>
                        </v-card>
                    </v-flex>
        
            </v-card>


        </v-flex>
    </v-layout>
        </v-card>

        <v-btn
          color="primary"
          @click="e1 = 3"
        >
          Continue
        </v-btn>

        <v-btn flat @click="e1 = 1">Cancel</v-btn>
      </v-stepper-content>

      <v-stepper-content step="3">
        <v-card
          class="mb-5"
          color="white lighten-1"
          height="350px">
            <v-container class="my-2">
            <v-layout row wrap>
              <v-flex >
              <img height="300px" :src="movies.image">
              </v-flex>
              
                    
              <v-flex justify-center xs10 sm10 md7 lg9 >
                <h1 class="font-weight-bold">{{ movies.movie_name }}</h1>
                <h3 class="font-weight-bold">Time:</h3>
                <br>
                <v-flex xs12>
                  <h3 class="font-weight-bold">Selected Seat</h3>
                  <h1 class="font-weight-light">E10</h1>
                </v-flex>
                 <v-flex xs12>
                  <h3 class="font-weight-bold">Total</h3>
                  <h1 class="font-weight-light">150</h1>
                </v-flex>
              </v-flex>              
            </v-layout>
            <!-- <v-card-actions class="justify-center">
                  <v-btn outline color="#d50000" dark href="/">RESERVE</v-btn>
               </v-card-actions> -->
        </v-container>
        
        
        </v-card>

        <v-btn
          color="primary"
          @click="e1 = 1"
        >
          RESERVE
        </v-btn>

        <v-btn flat  @click="e1 = 2">Cancel</v-btn>
      </v-stepper-content>
    </v-stepper-items>
  </v-stepper>
</template>

<script>
export default {
    data () {
   return {
     
       e1:0,
     rollAs: [
       { title: 'A1', status: false},
       { title: 'A2', status: false},
       { title: 'A3', status: false},
       { title: 'A4', status: false},
       { title: 'A5', status: false},
       { title: 'A6', status: false},
       { title: 'A7', status: false},
       { title: 'A8', status: false}
     ],
     rollBs: [
       { title: 'B1', status: false },
       { title: 'B2', status: false },
       { title: 'B3', status: false },
       { title: 'B4', status: false },
       { title: 'B5', status: false },
       { title: 'B6', status: false },
       { title: 'B7', status: false },
       { title: 'B8', status: false }
     ],
     rollCs: [
       { title: 'C1', status: false },
       { title: 'C2', status: false },
       { title: 'C3', status: false },
       { title: 'C4', status: false },
       { title: 'C5', status: false },
       { title: 'C6', status: false },
       { title: 'C7', status: false },
       { title: 'C8', status: false }
     ],
       movies: []
      //  round: []

   };
 }, 
  beforeCreate() {
    var mid = localStorage.getItem("M_ID_TEMP");
    console.log(mid1);
  },
  async created() {
    var mid = localStorage.getItem("M_ID_TEMP");
    console.log(mid);
    try {
      var { data } = await this.axios.get(
        "http://192.168.253.153:4000/movie/" + mid
      );
    //   console.log(data);
      this.movies = data
      console.log(this.movies)
    } catch (error) {
      console.log(error.message);
    }
  },
  created(){
    this.getmovielist();
  },
  methods:{
      async getmovielist () {
        await this.axios.get('http://192.168.253.153:4000/movie')
        .then(response => {
           console.log(response.data)
          this.movies=response.data;
         
      });
      }
  }

}
</script>